EaserixDocs
DevelopersAPI referenceLinksBio

List the caller's bio pages

The caller's bio pages with their items, newest first, paginated the same way GET /v1/campaigns is.

View as Markdown
GET
/v1/bio
AuthorizationBearer <token>

In: header

Query Parameters

limit?integer
Rangevalue <= 100
Default50
offset?integer
Default0

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/bio"
{  "pages": [    {      "id": "string",      "handle": "string",      "publicUrl": "string",      "title": "string",      "bio": "string",      "theme": {        "preset": "string",        "layout": "classic",        "background": "string",        "text": "string",        "accent": "string",        "bgKind": "solid",        "bgImageUrl": "string",        "bgFit": "cover",        "bgScrim": 0,        "bgZoom": 0,        "bgPosX": 0,        "bgPosY": 0,        "shape": "sharp",        "fill": "solid",        "shadow": "none",        "font": "string",        "bold": true,        "avatarUrl": "string",        "customLayout": {          "align": "center",          "avatar": 0,          "band": 0,          "arch": true,          "rule": true        },        "socials": {          "property1": "string",          "property2": "string"        }      },      "published": true,      "views": 0,      "items": [        {          "id": "string",          "label": "string",          "url": "string",          "icon": 0,          "featured": true        }      ],      "created": "2019-08-24T14:15:22Z",      "updated": "2019-08-24T14:15:22Z"    }  ],  "total": 0,  "limit": 0,  "offset": 0}